Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdWidgetParameters Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetControlledNodesCount ([out]RtUlong *pCount)
HRESULT | GetControlledNodeName ([in]RtUlong uIndex,[out]BSTR *pControlledNodeName)
HRESULT | GetWidgetDisplacement ([out]RtMatrixf *pWidgetTransformDisplacement)
HRESULT | SetWidgetDisplacement ([in]RtMatrixf *pWidgetTransformDisplacement)
HRESULT | ResetControlledNodes ()
HRESULT | AddControlledNode ([in]BSTR szControlledNode)
HRESULT | RemoveControlledNode ([in]BSTR szControlledNode)
HRESULT | SetAnchorNode ([in]BSTR bstrAnchorNode)
HRESULT | GetAnchorNode ([out]BSTR *pbstrAnchorNode)
HRESULT | UpdateNodeName ([in]IRsNode *pChangedNode,[in]BSTR bNodeName)
HRESULT | UpdateNodeRemoved ([in]IRsNode *pRemovedNode)
HRESULT | GetControlledNodeNames ([out]BSTR *pbPackedNodesList)
HRESULT | SetControlledNodes ([in]BSTR bPackedNodesList)
HRESULT | DetectControlledNodes ([in]BSTR bPackedNodesList)
HRESULT | RemoveChangedNodes ()

## Detailed Description

IRdWidgetParameters holds active set of objects that widget operates with.

## Member Function Documentation

HRESULT IRdWidgetParameters::GetControlledNodesCount | ( | [out] RtUlong * | pCount | ) |

  | Return number of items in list of controlled nodes Parameters:
  pCount | Number of items
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetParameters::GetControlledNodeName | ( | [in] RtUlong | uIndex,
|  | [out] BSTR * | pControlledNodeName
| ) |

  | Return name of controlled node Parameters:
  uIndex | index of name to return
  pControlledNodeName | returned node name
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetParameters::GetWidgetDisplacement | ( | [out] RtMatrixf * | pWidgetTransformDisplacement | ) |

  | Return widget displacement matrix. Parameters:
  pWidgetTransformDisplacement | Returned matrix
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetParameters::SetWidgetDisplacement | ( | [in] RtMatrixf * | pWidgetTransformDisplacement | ) |

  | Set widget displacement matrix Matrix is used as parent space for widget. Parameters:
  pWidgetTransformDisplacement | Matrix to set
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetParameters::ResetControlledNodes | ( |  | ) |

| Reset list of controlled nodes to 0. Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetParameters::AddControlledNode | ( | [in] BSTR | szControlledNode | ) |

  | Add node to list of controlled nodes Parameters:
  szControlledNode | Node name to add
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetParameters::RemoveControlledNode | ( | [in] BSTR | szControlledNode | ) |

  | Remove node from list of controlled nodes Parameters:
  szControlledNode | Node name
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetParameters::SetAnchorNode | ( | [in] BSTR | bstrAnchorNode | ) |

  | Return number of items in list of controlled nodes Parameters:
  pCount | Number of items
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetParameters::GetAnchorNode | ( | [out] BSTR * | pbstrAnchorNode | ) |

  | Return number of items in list of controlled nodes Parameters:
  pCount | Number of items
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetParameters::UpdateNodeName | ( | [in] IRsNode * | pChangedNode,
|  | [in] BSTR | bNodeName
| ) |

  | Return number of items in list of controlled nodes Parameters:
  pCount | Number of items
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetParameters::UpdateNodeRemoved | ( | [in] IRsNode * | pRemovedNode | ) |

  | Return number of items in list of controlled nodes Parameters:
  pCount | Number of items
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetParameters::GetControlledNodeNames | ( | [out] BSTR * | pbPackedNodesList | ) |

  | Return number of items in list of controlled nodes Parameters:
  pCount | Number of items
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetParameters::SetControlledNodes | ( | [in] BSTR | bPackedNodesList | ) |

  | Return number of items in list of controlled nodes Parameters:
  pCount | Number of items
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetParameters::DetectControlledNodes | ( | [in] BSTR | bPackedNodesList | ) |

  | Return number of items in list of controlled nodes Parameters:
  pCount | Number of items
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetParameters::RemoveChangedNodes | ( |  | ) |

  | Return number of items in list of controlled nodes Parameters:
  pCount | Number of items
Returns: standard HRESULT processing can be applied to returned value